﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace System.Data
{
  public static class DataTableExtension
  {
    public static DataTableType CopyKeepingType<DataTableType>(this DataTableType table)
      where DataTableType : DataTable, new()
    {
      DataTableType newTable = new DataTableType();
      foreach (DataRow row in table.Rows)
      {
        DataRow newRow = newTable.NewRow();
        foreach (DataColumn column in table.Columns)
          newRow[column.ColumnName] = row[column];
        newTable.Rows.Add(newRow);
      }
      return newTable;
    }
  }
}
