﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace System.Data
{
  public static class TypedTableExtension
  {
    public static IEnumerable<DataRowType> SelectTyped<DataRowType>(this TypedTableBase<DataRowType> table)
      where DataRowType : DataRow
    {
      return table.Select().Cast<DataRowType>();
    }
    public static IEnumerable<DataRowType> SelectTyped<DataRowType>(this TypedTableBase<DataRowType> table, string filter)
      where DataRowType : DataRow
    {
      return table.Select(filter).Cast<DataRowType>();
    }
    public static IEnumerable<DataRowType> SelectTyped<DataRowType>(this TypedTableBase<DataRowType> table, string filter, string sort)
      where DataRowType : DataRow
    {
      return table.Select(filter, sort).Cast<DataRowType>();
    }
    public static IEnumerable<DataRowType> SelectTyped<DataRowType>(this TypedTableBase<DataRowType> table, string filter, string sort, DataViewRowState rowState)
      where DataRowType : DataRow
    {
      return table.Select(filter, sort, rowState).Cast<DataRowType>();
    }
  }
}
