﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace System.Reflection
{
  public static class PropertyInfoExtension
  {
    public static T GetAttribute<T>(this PropertyInfo pi) where T : Attribute
    {
      object[] attributes = pi.GetCustomAttributes(typeof(T), true);
      if (attributes.Length == 0)
        return null;
      return attributes[0] as T;
    }
  }
}
