﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace System.Windows.Forms
{
  public static class BindingManagerExtension
  {
    public static Control FindControl(this BindingManagerBase bindingManager, string propertyName)
    {
      IEnumerable<Control> controls =
       from Binding binding in bindingManager.Bindings
       where binding.BindingMemberInfo.BindingField == propertyName
       select binding.Control;
      if (controls.Count() == 0)
        return null;
      return controls.First();
    }
  }
}
